0

Trying to install vim-gnome in Raspberry Pi3. Finally got error:

E: Failed to fetch http://mirrordirector.raspbian.org/raspbian/pool/main/p/perl/libperl5.20_5.20.2-3+deb8u8_armhf.deb: 404  Not Found [IP: 93.93.128.193 80]

How to fix that?

Whole log:

sudo aptitude install vim-gnome
The following NEW packages will be installed:
  gnome-mime-data libart-2.0-2 libbonobo2-0 libbonobo2-common{a} libbonoboui2-0{a} libbonoboui2-common libgail18 libglade2-0 libgnome-2-0 libgnome2-common libgnomecanvas2-0 
  libgnomecanvas2-common libgnomeui-0{a} libgnomeui-common libgnomevfs2-0 libgnomevfs2-common libgnomevfs2-extra liblua5.2-0{a} liborbit-2-0{a} libperl5.20{a} vim-gnome vim-gui-common{a} 
0 packages upgraded, 22 newly installed, 0 to remove and 1 not upgraded.
Need to get 7,645 kB of archives. After unpacking 32.7 MB will be used.
Do you want to continue? [Y/n/?] y
Get: 1 http://mirrordirector.raspbian.org/raspbian/ jessie/main libart-2.0-2 armhf 2.3.21-2 [63.8 kB]
Get: 2 http://mirrordirector.raspbian.org/raspbian/ jessie/main libbonobo2-common all 2.32.1-3 [243 kB]
Get: 3 http://mirrordirector.raspbian.org/raspbian/ jessie/main liborbit-2-0 armhf 1:2.14.19-0.3 [196 kB]                                                                                             
Get: 4 http://mirrordirector.raspbian.org/raspbian/ jessie/main libbonobo2-0 armhf 2.32.1-3 [236 kB]                                                                                                  
Get: 5 http://mirrordirector.raspbian.org/raspbian/ jessie/main libglade2-0 armhf 1:2.6.4-2 [76.2 kB]                                                                                                 
Get: 6 http://mirrordirector.raspbian.org/raspbian/ jessie/main gnome-mime-data all 2.18.0-1 [725 kB]                                                                                                 
Get: 7 http://mirrordirector.raspbian.org/raspbian/ jessie/main libgnomevfs2-common all 1:2.24.4-6 [763 kB]                                                                                           
Get: 8 http://mirrordirector.raspbian.org/raspbian/ jessie/main libgnomevfs2-0 armhf 1:2.24.4-6 [450 kB]                                                                                              
Get: 9 http://mirrordirector.raspbian.org/raspbian/ jessie/main libgnome2-common all 2.32.1-5 [936 kB]                                                                                                
Err http://mirrordirector.raspbian.org/raspbian/ jessie/main libperl5.20 armhf 5.20.2-3+deb8u8                                                                                                        
  404  Not Found [IP: 93.93.128.193 80]
Get: 10 http://mirrordirector.raspbian.org/raspbian/ jessie/main libgnome-2-0 armhf 2.32.1-5 [463 kB]                                                                                                 
Get: 11 http://mirrordirector.raspbian.org/raspbian/ jessie/main libgail18 armhf 2.24.25-3+deb8u2 [537 kB]                                                                                            
Get: 12 http://mirrordirector.raspbian.org/raspbian/ jessie/main libgnomecanvas2-common all 2.30.3-2 [132 kB]                                                                                         
Get: 13 http://mirrordirector.raspbian.org/raspbian/ jessie/main libgnomecanvas2-0 armhf 2.30.3-2 [94.7 kB]                                                                                           
Get: 14 http://mirrordirector.raspbian.org/raspbian/ jessie/main libbonoboui2-common all 2.24.5-2 [192 kB]                                                                                            
Get: 15 http://mirrordirector.raspbian.org/raspbian/ jessie/main libbonoboui2-0 armhf 2.24.5-2 [177 kB]                                                                                               
Get: 16 http://mirrordirector.raspbian.org/raspbian/ jessie/main libgnomeui-common all 2.24.5-3 [514 kB]                                                                                              
Get: 17 http://mirrordirector.raspbian.org/raspbian/ jessie/main libgnomeui-0 armhf 2.24.5-3 [285 kB]                                                                                                 
Get: 18 http://mirrordirector.raspbian.org/raspbian/ jessie/main liblua5.2-0 armhf 5.2.3-1.1 [64.8 kB]                                                                                                
Get: 19 http://mirrordirector.raspbian.org/raspbian/ jessie/main libgnomevfs2-extra armhf 1:2.24.4-6 [351 kB]                                                                                         
Get: 20 http://mirrordirector.raspbian.org/raspbian/ jessie/main vim-gui-common all 2:7.4.488-7+deb8u3 [150 kB]                                                                                       
Get: 21 http://mirrordirector.raspbian.org/raspbian/ jessie/main vim-gnome armhf 2:7.4.488-7+deb8u3 [993 kB]                                                                                          
Fetched 7,643 kB in 13s (566 kB/s)                                                                                                                                                                    
Selecting previously unselected package libart-2.0-2:armhf.
(Reading database ... 124424 files and directories currently installed.)
Preparing to unpack .../libart-2.0-2_2.3.21-2_armhf.deb ...
Unpacking libart-2.0-2:armhf (2.3.21-2) ...
Selecting previously unselected package libbonobo2-common.
Preparing to unpack .../libbonobo2-common_2.32.1-3_all.deb ...
Unpacking libbonobo2-common (2.32.1-3) ...
Selecting previously unselected package liborbit-2-0:armhf.
Preparing to unpack .../liborbit-2-0_1%3a2.14.19-0.3_armhf.deb ...
Unpacking liborbit-2-0:armhf (1:2.14.19-0.3) ...
Selecting previously unselected package libbonobo2-0:armhf.
Preparing to unpack .../libbonobo2-0_2.32.1-3_armhf.deb ...
Unpacking libbonobo2-0:armhf (2.32.1-3) ...
Selecting previously unselected package libglade2-0:armhf.
Preparing to unpack .../libglade2-0_1%3a2.6.4-2_armhf.deb ...
Unpacking libglade2-0:armhf (1:2.6.4-2) ...
Selecting previously unselected package gnome-mime-data.
Preparing to unpack .../gnome-mime-data_2.18.0-1_all.deb ...
Unpacking gnome-mime-data (2.18.0-1) ...
Selecting previously unselected package libgnomevfs2-common.
Preparing to unpack .../libgnomevfs2-common_1%3a2.24.4-6_all.deb ...
Unpacking libgnomevfs2-common (1:2.24.4-6) ...
Selecting previously unselected package libgnomevfs2-0:armhf.
Preparing to unpack .../libgnomevfs2-0_1%3a2.24.4-6_armhf.deb ...
Unpacking libgnomevfs2-0:armhf (1:2.24.4-6) ...
Selecting previously unselected package libgnome2-common.
Preparing to unpack .../libgnome2-common_2.32.1-5_all.deb ...
Unpacking libgnome2-common (2.32.1-5) ...
Selecting previously unselected package libgnome-2-0:armhf.
Preparing to unpack .../libgnome-2-0_2.32.1-5_armhf.deb ...
Unpacking libgnome-2-0:armhf (2.32.1-5) ...
Selecting previously unselected package libgail18:armhf.
Preparing to unpack .../libgail18_2.24.25-3+deb8u2_armhf.deb ...
Unpacking libgail18:armhf (2.24.25-3+deb8u2) ...
Selecting previously unselected package libgnomecanvas2-common.
Preparing to unpack .../libgnomecanvas2-common_2.30.3-2_all.deb ...
Unpacking libgnomecanvas2-common (2.30.3-2) ...
Selecting previously unselected package libgnomecanvas2-0:armhf.
Preparing to unpack .../libgnomecanvas2-0_2.30.3-2_armhf.deb ...
Unpacking libgnomecanvas2-0:armhf (2.30.3-2) ...
Selecting previously unselected package libbonoboui2-common.
Preparing to unpack .../libbonoboui2-common_2.24.5-2_all.deb ...
Unpacking libbonoboui2-common (2.24.5-2) ...
Selecting previously unselected package libbonoboui2-0:armhf.
Preparing to unpack .../libbonoboui2-0_2.24.5-2_armhf.deb ...
Unpacking libbonoboui2-0:armhf (2.24.5-2) ...
Selecting previously unselected package libgnomeui-common.
Preparing to unpack .../libgnomeui-common_2.24.5-3_all.deb ...
Unpacking libgnomeui-common (2.24.5-3) ...
Selecting previously unselected package libgnomeui-0:armhf.
Preparing to unpack .../libgnomeui-0_2.24.5-3_armhf.deb ...
Unpacking libgnomeui-0:armhf (2.24.5-3) ...
Selecting previously unselected package liblua5.2-0:armhf.
Preparing to unpack .../liblua5.2-0_5.2.3-1.1_armhf.deb ...
Unpacking liblua5.2-0:armhf (5.2.3-1.1) ...
Selecting previously unselected package libgnomevfs2-extra:armhf.
Preparing to unpack .../libgnomevfs2-extra_1%3a2.24.4-6_armhf.deb ...
Unpacking libgnomevfs2-extra:armhf (1:2.24.4-6) ...
Processing triggers for man-db (2.7.5-1~bpo8+1) ...
Processing triggers for gconf2 (3.2.6-3) ...
Setting up libart-2.0-2:armhf (2.3.21-2) ...
Setting up libbonobo2-common (2.32.1-3) ...
Setting up liborbit-2-0:armhf (1:2.14.19-0.3) ...
Setting up libbonobo2-0:armhf (2.32.1-3) ...
Setting up libglade2-0:armhf (1:2.6.4-2) ...
Setting up gnome-mime-data (2.18.0-1) ...
Setting up libgnomevfs2-common (1:2.24.4-6) ...
Setting up libgnomevfs2-0:armhf (1:2.24.4-6) ...
Setting up libgnome2-common (2.32.1-5) ...
Setting up libgnome-2-0:armhf (2.32.1-5) ...
Setting up libgail18:armhf (2.24.25-3+deb8u2) ...
Setting up libgnomecanvas2-common (2.30.3-2) ...
Setting up libgnomecanvas2-0:armhf (2.30.3-2) ...
Setting up libbonoboui2-common (2.24.5-2) ...
Setting up libbonoboui2-0:armhf (2.24.5-2) ...
Setting up libgnomeui-common (2.24.5-3) ...
Setting up libgnomeui-0:armhf (2.24.5-3) ...
Setting up liblua5.2-0:armhf (5.2.3-1.1) ...
Setting up libgnomevfs2-extra:armhf (1:2.24.4-6) ...
Processing triggers for libc-bin (2.19-18+deb8u10) ...
E: Failed to fetch http://mirrordirector.raspbian.org/raspbian/pool/main/p/perl/libperl5.20_5.20.2-3+deb8u8_armhf.deb: 404  Not Found [IP: 93.93.128.193
  • 1
    Stale sources - do an apt-get update – ivanivan Apr 2 '18 at 11:06
1

Your local package indexes are outdated, you need to update them:

sudo aptitude update

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.